local Color1 = color(Var "Color1");
local stretchBG = PREFSMAN:GetPreference("StretchBackgrounds")

local t = Def.ActorFrame {
	LoadActor(Var "File1") .. {
		OnCommand=function(self)
			self:xy(SCREEN_CENTER_X,SCREEN_CENTER_Y);
			self:loop(true);
			if stretchBG then 
				self:stretchto( 0,0,SCREEN_RIGHT,SCREEN_BOTTOM );
			else 
				self:scaletofit( 0,0,SCREEN_RIGHT,SCREEN_BOTTOM );
			end
			self:effectclock("music");
		end;
		GainFocusCommand=cmd(play);
		LoseFocusCommand=cmd(pause);
	};
};

return t;
